Subject: Re: bug#11759: 24.1.50; word-wrap should wrap on non-words if the current word is too long

From: Lennart Borgman <[email-masked]>
Date: Sat, 23 Jun 2012 13:27:20 +0200

On Sat, Jun 23, 2012 at 1:14 PM, Chong Yidong <[email-masked]> wrote:
> Stefan Monnier <[email-masked]> writes:
>
>>> if the entire line is one "word" but indented, which is not uncommon
>>> in some files that I regularly edit, then the entire line is wrapped
>>> to the next line leaving a completely blank visual line.
>>
>> I also use word-wrap everywhere, including programming modes and see the
>> same problem.
>>
>> - if the word is the first non-blank char on the line, wrapping to the
>>   next line results in a visually empty line, losing the
>>   indentation info.
>> - if the word is wider than the window (plus the wrap-prefix), then even
>>   after word-wrapping it to the next line, it gets char-wrapped anyway,
>>   so we didn't win anything.
>
> FWIW, word wrap behaves the same way in other editors (checked with
> gedit and with a text box in Firefox).

I think it will be very nice if such long words could wrap. It would
also be nice to have the alternative to truncate such long words.
(They are often URL in my case and truncating them with the full URL
as a help string would be fine.)